# Interface ChannelInterceptor.InterceptorEvent

All Known Implementing Classes:
  `NonBlockingCoordinator.CoordinationEvent`

Enclosing interface:
  `ChannelInterceptor`

public static interface ChannelInterceptor.InterceptorEvent
Event fired by an interceptor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getEventType()`
Returns the event type.
`String`
`getEventTypeDesc()`
Returns the event type description.
`ChannelInterceptor`
`getInterceptor()`
Returns the interceptor that fired the event.

## Method Details

### getEventType

int getEventType()
Returns the event type.

Returns:
  the event type

### getEventTypeDesc

String getEventTypeDesc()
Returns the event type description.

Returns:
  the event type description

### getInterceptor

ChannelInterceptor getInterceptor()
Returns the interceptor that fired the event.

Returns:
  the interceptor